using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls.Commands;
using Telerik.WinControls;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsApplication15
{
    public class CustomFocusCommand : CommandBase
    {
        public override object Execute(params object[] settings)
        {
            if (settings.Length > 0 &&
                this.CanExecute(settings[0]))
            {
                object parameter = settings[0];
                if (typeof(RadControl).IsAssignableFrom(parameter.GetType()))
                {
                    TypeSelector radTextBoxItemSelector = new TypeSelector(typeof(RadTextBoxItem));
                    RadTextBoxItem item = radTextBoxItemSelector.GetSelectedElements(((RadControl)parameter).RootElement)[0] as RadTextBoxItem;
                    item.Focus();
                }
                else if (typeof(RadItem).IsAssignableFrom(parameter.GetType()))
                {
                    (parameter as RadItem).Focus();
                }
                return base.Execute(settings);
            }
            return null;
        }
    }
}
